<?php
/*
fm_link.php by Mike Duncan, Soliant Consulting, October 2014

Expected URL Parameters:
-fmurl = the URL of the filemaker server
-fmfile = the name of the WebDirect file
-* = any named parameter using a key/value pair.

Sample Calling URL:
http://localhost/fm_link.php?fmurl=_host_&fmfile=_filename&param1=_parameter1&param2=parameter2&etc...

Functionality explanation:
Creates new PHP Session and stores all passed URL parameters in a named "get_parameters" session variable.
User is then redirected to WebDirect, where the session variable will be read and parsed.
*/

session_start();

// default parameters, if not passed
$fmurl = 'http://localhost'; // enter the address of the server hosting webdirect
$fmfile = 'WebDirect_Params'; // enter the default file to open

if (isset($_GET['fmurl'])) {
    $fmurl = $_GET['fmurl'];
}
if (isset($_GET['fmfile'])) {
    $fmfile = $_GET['fmfile'];
}


// store all GET paramters in a session
if (isset($_GET) && count($_GET) > 0) {
    $_SESSION['get_requests'] = $_GET;

}

// redirect to WebDirect Session
header('Location: ' . $fmurl . '/fmi/webd#' . $fmfile );
